Qt Reference Documentation

# Qt 3 Support Members for QFontMetrics

The following class members are part of the Qt 3 support layer. They are provided to help you port old code to Qt 4. We advise against using them in new code.

- QFontMetrics class reference

## Public Functions

QRect | boundingRect ( const QString & text, int len ) const
QRect | boundingRect ( int x, int y, int w, int h, int flags, const QString & text, int len, int tabStops = 0, int * tabArray = 0 ) const
QSize | size ( int flags, const QString & text, int len, int tabStops = 0, int * tabArray = 0 ) const

## Member Function Documentation

### QRect QFontMetrics::boundingRect ( const QString & text, int len ) const

Use the boundingRect() function in combination with QString::left() instead.

For example, if you have code like

     QRect rect = boundingRect(text, len);

you can rewrite it as

     QRect rect = boundingRect(text.left(len));

### QRect QFontMetrics::boundingRect ( int x, int y, int w, int h, int flags, const QString & text, int len, int tabStops = 0, int * tabArray = 0 ) const

Use the boundingRect() function in combination with QString::left() and a QRect constructor instead.

For example, if you have code like

     QRect rect = boundingRect(x, y, w, h , flags, text, len,
                               tabStops, tabArray);

you can rewrite it as

     QRect rect = boundingRect(QRect(x, y, w, h), flags, text.left(len),
                               tabstops, tabarray);

### QSize QFontMetrics::size ( int flags, const QString & text, int len, int tabStops = 0, int * tabArray = 0 ) const

Use the size() function in combination with QString::left() instead.

For example, if you have code like

     QSize size = size(flags, str, len, tabstops, tabarray);

you can rewrite it as

     QSize size = size(flags, str.left(len), tabstops, tabarray);